#include <bits/stdc++.h>
using namespace std;

long long V;
long long novcanica[500];
int n;
int rez;

void napravi_novcanice()
{
    novcanica[0]=1;
    novcanica[1]=2;
    novcanica[2]=5;
    for(n=3;;n++)
    {
        novcanica[n]=novcanica[n-3]*10;
        if(novcanica[n]==1e18) break;
    }
}

int main()
{
    cin>>V;
    napravi_novcanice();
    while(V>0)
    {
        if(V>=novcanica[n])
        {
            rez+=V/novcanica[n];
            V%=novcanica[n];
        }
        else n--;
    }
    cout<<rez;
    return 0;
}